Subject: Re: linux-next: manual merge of the devicetree tree with the pci tree

From: Sivaprakash Murugesan <[email-masked]>
Date: Tue, 28 Jul 2020 13:56:21 +0530

On 7/28/2020 11:19 AM, Stephen Rothwell wrote:
> Hi all,
>
> Today's linux-next merge of the devicetree tree got a conflict in:
>
>    Documentation/devicetree/bindings/pci/qcom,pcie.txt
>
> between commits:
>
>    736ae5c91712 ("dt-bindings: PCI: qcom: Add missing clks")
>    b11b8cc161de ("dt-bindings: PCI: qcom: Add ext reset")
>    d511580ea9c2 ("dt-bindings: PCI: qcom: Add ipq8064 rev 2 variant")
>
> from the pci tree and commit:
>
>    70172d196947 ("dt-bindings: pci: convert QCOM pci bindings to YAML")
>
> from the devicetree tree.
>
> I don;t know how to fixed it up so I just left the latter one . This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Rob/Bjorn,

Please let me know if I can provide a patch rebased to linux-next.

Bjorn can pick up the patch after review and Rob can drop the old pci 
yaml conversion patch.

let me know your thoughts.